Description

this doc hasn't changed since 2.0, but in 2.4, many actors are visible for the first time. So we might need to update this doc.

435 pages.

Related issues:
Blocked by Kepler - Bug #5625: create kepler documentation for 2.4 Resolved 06/15/2012

History

#1 - 09/28/2012 03:50 PM - Christopher Brooks

To update the actor documentation:
cd build-area
ant update-actor-doc

#2 - 11/26/2012 03:15 PM - Daniel Crawl

The actor reference manual is at https://code.kepler-project.org/code/kepler-docs/trunk/outreach/documentation/shipping/ActorReference.pdf.

(In reply to comment #1)
To update the actor documentation:

cd build-area
ant update-actor-doc

This ant target uses javadoc to update the XML files in <module>/resources/kar/... from the source code. These docs are shown in the DocViewer in
Kepler.

The actor reference manual was assembled by hand using the text in these XML files, and possibly edited. Since then (2008, Kepler 1.0) the XML
files have been updated and new actors added. It would be nice to automatically generate this manual, but may not happen for the 2.4 release.

#3 - 03/07/2013 02:29 PM - Daniel Crawl

Postponing to future release.

#4 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5715
